@charset "UTF-8";
@import url("https://fonts.googleapis.com/css?family=Titillium+Web:400,700&display=swap");
/* MAIN COLOR */
/* SECONDARY COLOR */
html,
body {
  height: 100%;
  box-sizing: border-box;
  font-family: 'Titillium Web', sans-serif;
  font-weight: lighter;
}

html {
  font-size: 15px;
}

@media screen and (min-width: 320px) {
  html {
    font-size: calc(15px + 7 * ((100vw - 320px) / 1600));
  }
}

@media screen and (min-width: 1920px) {
  html {
    font-size: 22px;
  }
}

p {
  font-size: .8rem;
}

h1 {
  font-size: 2.0736rem;
}

h1 {
  font-size: 25.92px;
}

@media screen and (min-width: 320px) {
  h1 {
    font-size: calc(25.92px + 24.705 * ((100vw - 320px) / 1600));
  }
}

@media screen and (min-width: 1920px) {
  h1 {
    font-size: 50.625px;
  }
}

h2 {
  font-size: 1.728rem;
}

h2 {
  font-size: 25.92px;
}

@media screen and (min-width: 320px) {
  h2 {
    font-size: calc(25.92px + 24.705 * ((100vw - 320px) / 1600));
  }
}

@media screen and (min-width: 1920px) {
  h2 {
    font-size: 50.625px;
  }
}

h3 {
  font-size: 1.44rem;
}

h3 {
  font-size: 21.6px;
}

@media screen and (min-width: 320px) {
  h3 {
    font-size: calc(21.6px + 12.15 * ((100vw - 320px) / 1600));
  }
}

@media screen and (min-width: 1920px) {
  h3 {
    font-size: 33.75px;
  }
}

body {
  overflow-y: scroll;
  -webkit-overflow-scrolling: touch;
}

q,
blockquote {
  quotes: "“" "”";
}

a,
a:hover,
a:focus,
a:active {
  outline: 0 !important;
  text-decoration: none;
}

.navbarFixed {
  position: fixed;
  width: 100%;
  top: 0;
  z-index: 999;
}

.logo {
  max-height: 100px;
}

@media (max-width: 767px) {
  .logo {
    max-height: 70px;
  }
}

/* Change autocomplete styles in WebKit */
input:-webkit-autofill,
input:-webkit-autofill:hover,
input:-webkit-autofill:focus input:-webkit-autofill,
textarea:-webkit-autofill,
textarea:-webkit-autofill:hover textarea:-webkit-autofill:focus,
select:-webkit-autofill,
select:-webkit-autofill:hover,
select:-webkit-autofill:focus {
  border: 1px solid #0065dd;
  -webkit-text-fill-color: #0065dd;
  -webkit-box-shadow: 0 0 0px 1000px #000 inset;
  transition: background-color 5000s ease-in-out 0s;
}

nav.navbar {
  z-index: 1000;
  border: none;
}

nav.navbar .navbar-nav .nav-link {
  text-align: center;
  -ms-flex-align: center;
      align-items: center;
  color: #000;
  border-radius: 5px;
  font-size: .8rem;
}

@media (max-width: 767px) {
  nav.navbar .navbar-nav .nav-link {
    margin-top: 0;
    padding: 6px 0px;
    display: inline-block;
    text-align: center;
  }
}

nav.navbar .navbar-nav .nav-link:hover {
  background: #0854cf;
  color: #fff;
}

@media (max-width: 1024px) {
  nav.navbar .navbar-nav .nav-link:hover {
    background: transparent;
    outline: 0;
    color: #000;
  }
}

nav.navbar .navbar-nav .nav-link:focus, nav.navbar .navbar-nav .nav-link:active {
  background: transparent;
  color: #000;
  outline: 0;
}

.btn-default {
  border: none;
  background: #053685;
  color: #fff;
  padding: 0.5em 2em;
  font-size: .9rem;
  font-weight: bold;
  text-align: center;
  text-transform: uppercase;
  letter-spacing: 1px;
  display: inline-block;
  margin: .5em 0em;
  transition: 0.7s ease all;
  border-radius: 50px;
}

.btn-default:hover {
  background: #146af6;
  color: white;
  text-decoration: none;
}

@media (max-width: 1024px) {
  .btn-default:hover {
    background: #1424a8;
    color: #fff;
    box-shadow: 0px 0px 5px #000;
  }
}

span {
  font-weight: bold;
}

.bg {
  background-attachment: fixed;
  background-size: cover;
  background-position: top center;
  padding: 200px 0;
}

@media (max-width: 1024px) {
  .bg {
    background-attachment: scroll;
    padding: 150px 0;
  }
}

@media (max-width: 768px) {
  .bg {
    padding: 100px 0;
  }
}

@media (max-width: 600px) {
  .bg {
    padding: 50px 0;
  }
}

.pd, section, .main-banner {
  padding: 150px 0;
}

@media (max-width: 1024px) {
  .pd, section, .main-banner {
    padding: 100px 0;
  }
}

@media (max-width: 767px) {
  .pd, section, .main-banner {
    padding: 50px 0;
  }
}

section h3 {
  font-weight: bold;
  text-transform: uppercase;
}

.main-banner {
  background-color: #0854cf;
  background-image: linear-gradient(to bottom, #0854cf, rgba(8, 84, 207, 0)), url(../img/waves.svg);
  background-size: 100%;
  background-repeat: repeat-x;
  background-position: bottom;
  color: #fff;
}

.main-banner h2 {
  font-size: 1.7em;
}

img {
  border-radius: 5px;
  margin-bottom: 20px;
}

.about-section .about-desc {
  margin-bottom: 60px;
}

.icon-block {
  background-color: #f2f2f2;
}

.icon-block .icon-box:nth-of-type(odd) {
  border-right: 1px solid #1424a8;
}

.icon-block .services-desc {
  margin-bottom: 60px;
}

.icon-block .icon-box {
  padding: 50px;
  position: relative;
}

.icon-block .icon-box i {
  margin-bottom: 20px;
  color: #0854cf;
  position: relative;
  z-index: 2;
  transition: all ease-in 0.5s;
}

.icon-block .icon-box h4 {
  font-size: 1.2em;
  font-weight: bold;
  position: relative;
  z-index: 2;
  transition: all ease-in 0.5s;
}

.icon-block .icon-box p {
  color: #000;
  z-index: 2;
  position: relative;
  transition: all ease-in 0.5s;
}

.icon-block .icon-box:hover h4,
.icon-block .icon-box:hover i,
.icon-block .icon-box:hover p {
  color: #fff;
}

.icon-block .icon-box:hover::before {
  width: 100%;
}

.icon-block .icon-box::before {
  width: 0;
  height: 100%;
  background-color: #0854cf;
  content: "";
  display: block;
  position: absolute;
  left: 0;
  top: 0;
  transition: all cubic-bezier(0.39, 0.59, 0, 0.68) 0.5s;
  z-index: 1;
}

.contact {
  background-color: #d8e7fe;
}

.contact .contact-desc {
  margin-bottom: 50px;
}

.contact li {
  margin-bottom: 20px;
}

.contact a {
  color: #000;
}

.contact a:hover {
  text-decoration: underline;
  color: #06409e;
}

footer {
  padding: 50px 0px 20px;
  background: #0854cf;
  color: #fff;
  font-size: 15px;
}

footer a {
  color: #fff;
  white-space: nowrap;
  font-size: 15px;
}

@media (max-width: 990px) {
  footer a {
    font-size: 13px;
  }
}

footer a:hover {
  color: white;
  outline: 0 !important;
}

footer a:focus {
  color: #fff;
  outline: 0 !important;
}

footer p {
  font-size: 15px;
}

@media (max-width: 990px) {
  footer p {
    font-size: 13px;
  }
}

.top-pad {
  padding: 3em;
  background: white;
}

@media (max-width: 990px) {
  .top-pad {
    padding: 1em;
  }
}

.terms p,
.privacy p {
  font-size: 1rem;
}

.terms ol li,
.privacy ol li {
  font-size: 1rem;
}

.terms ol ol li,
.privacy ol ol li {
  font-size: 0.85rem;
}

/*# sourceMappingURL=data:application/json;charset=utf8;base64,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 */
